//
// POLSPELL.H
//
// Copyright (c) 1999 POLAR.  All Rights Reserved.
//
// User accessible defines and function prototypes for exports
//    from the Polar Spelling Checker DLL.
// See also MFCSPELL.H for MFC wrapper.
//


#ifndef __POLSPELL_H
#define __POLSPELL_H

#ifdef __cplusplus
extern "C" {
#endif

typedef void * HSPELL;

HSPELL WINAPI PS_Init();
void WINAPI PS_Destroy(HSPELL hSpell);
BOOL WINAPI PS_OpenDictionary(HSPELL hSpell, LPCTSTR pszMainDictFileName, LPCTSTR pszCustomDictFileName);
void WINAPI PS_CloseDictionary(HSPELL hSpell);
BOOL WINAPI PS_Reset(HSPELL hSpell);
BOOL WINAPI PS_GetLanguageName(HSPELL hSpell, LPCTSTR pszDictFileName, LPTSTR pszLangName, unsigned nSize);
BOOL WINAPI PS_IsWordExist(HSPELL hSpell, LPCTSTR pszWord);
void WINAPI PS_AddToChangeAll(HSPELL hSpell, LPCTSTR pszFind, LPCTSTR pszReplace);
void WINAPI PS_AddToIgnoreAll(HSPELL hSpell, LPCTSTR pszWord);
BOOL WINAPI PS_IsCharAlpha(HSPELL hSpell, short ch);
BOOL WINAPI PS_IsCharLower(HSPELL hSpell, short ch);
BOOL WINAPI PS_IsCharUpper(HSPELL hSpell, short ch);
BOOL WINAPI PS_GetReplacement(HSPELL hSpell, LPCTSTR pszWord, LPTSTR pszReplacement, unsigned nSize);
BOOL WINAPI PS_GetSuggestion(HSPELL hSpell, LPCTSTR pszWord, short nSuggestionIndex, LPTSTR pszSuggestion, unsigned nSize);
void WINAPI PS_AddWord(HSPELL hSpell, LPCTSTR pszNewWord);
HGLOBAL WINAPI PS_CheckText(HSPELL hSpell, LPCTSTR pszText, short *pnExitStatus);
BOOL WINAPI PS_GetAlwaysSuggest(HSPELL hSpell);
void WINAPI PS_SetAlwaysSuggest(HSPELL hSpell, BOOL bNewValue);
BOOL WINAPI PS_GetIgnoreWordsInUppercase(HSPELL hSpell);
void WINAPI PS_SetIgnoreWordsInUppercase(HSPELL hSpell, BOOL bNewValue);
BOOL WINAPI PS_GetIgnoreWordsWithNumbers(HSPELL hSpell);
void WINAPI PS_SetIgnoreWordsWithNumbers(HSPELL hSpell, BOOL bNewValue);
BOOL WINAPI PS_DownloadDictionaries(HSPELL hSpell, LPCTSTR pszUpdateURL, LPCTSTR pszInstallDir);
BOOL WINAPI PS_OptionsDialog(HSPELL hSpell, LPCTSTR pszDictionaryDir, LPTSTR pszCustomDicFileName, unsigned nCustomDicSize,
                             LPTSTR pszCurDicFileName, unsigned nCurDicSize, LPCTSTR pszURL, BOOL bInternetSupport);

#ifdef __cplusplus
}
#endif

#endif